# Uses of Class
org.springframework.scheduling.support.CronTrigger

Packages that use CronTrigger
Package
Description
org.springframework.scheduling.config
Support package for declarative scheduling configuration, with XML schema being the primary configuration format.
org.springframework.scheduling.support
Generic support classes for scheduling.

## Uses of CronTrigger in org.springframework.scheduling.config

Constructors in org.springframework.scheduling.config with parameters of type CronTrigger
Modifier
Constructor
Description
``
`CronTask(Runnable runnable, CronTrigger cronTrigger)`
Create a new `CronTask`.

## Uses of CronTrigger in org.springframework.scheduling.support

Methods in org.springframework.scheduling.support that return CronTrigger
Modifier and Type
Method
Description
`static CronTrigger`
CronTrigger.`forFixedExecution(String expression)`
Create a `CronTrigger` for fixed execution, to be rescheduled after every task based on the last scheduled time.
`static CronTrigger`
CronTrigger.`forLenientExecution(String expression)`
Create a `CronTrigger` for lenient execution, to be rescheduled after every task based on the completion time.
`static CronTrigger`
CronTrigger.`resumeFixedExecution(String expression, Instant resumptionTimestamp)`
Create a `CronTrigger` for fixed execution, to be rescheduled after every task based on the last scheduled time.
`static CronTrigger`
CronTrigger.`resumeLenientExecution(String expression, Instant resumptionTimestamp)`
Create a `CronTrigger` for lenient execution, to be rescheduled after every task based on the completion time.